Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.prng
Class LimitReachedExceptionStandalone

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              gnu.crypto.prng.LimitReachedExceptionStandalone

All Implemented Interfaces:
  Serializable

    public class LimitReachedExceptionStandalone

extends Exception

A checked exception that indicates that a pseudo random number generated has reached its theoretical limit in generating random bytes.

Version:
  $Revision: 1.1 $
See Also:
  Serialized Form

Constructor Summary
`LimitReachedExceptionStandalone()`
`LimitReachedExceptionStandalone(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LimitReachedExceptionStandalone

    public LimitReachedExceptionStandalone()

### LimitReachedExceptionStandalone

    public LimitReachedExceptionStandalone(String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD